Skip to content
Back to top
View this page

# sphinx_ext

This module contains functionality that allows automatically rendering changelogs in Sphinx documentation using `chango`.

See also

Sphinx Extension

chango.sphinx_ext.setup(app)

  Sets up the `chango` Sphinx extension. This currently does two things:

  1. Adds the `chango` directive to Sphinx, which allows you to include changelogs in your documentation.

  2. Adds a configuration value `chango_pyproject_toml_path` to the Sphinx configuration, which allows you to specify the path to the `pyproject.toml` file that contains the chango configuration.

  Parameters:

    app (`sphinx.application.Sphinx`) – The Sphinx application object.

  Returns:

    A dictionary containing metadata about the

      extension.

  Return type:

    dict[`str`, `typing.Any`]